setup.actionTemplates = {};
setup.getActionTemplate = function(id:string){
    if(!setup.actionTemplates[id])
        return ((flags:ActFlags)=>flags) as ActionTemplate;
    return setup.actionTemplates[id];
}

